For the complete documentation index, see llms.txt. This page is also available as Markdown.

Callback

Oauth:Openid.Callback

get

The callback endpoint that gets the OAuth2 authorization code grant response.

Args: response: The response object tokens: The authorization state token, ID token and access token user_manager: The User Manager to use invitation_manager: The Invitation Manager to use

Returns: An OAuth2 login response with the JWT session token.

Raises: AuthorizationException: If the user could not be authenticated.

Query parameters
codeany ofOptional
stringOptional
or
nullOptional
code_verifierany ofOptional
stringOptional
or
nullOptional
stateany ofOptional
stringOptional
or
nullOptional
errorany ofOptional
stringOptional
or
nullOptional
Responses
200

Successful Response

application/json

OAuth 2.0 login response.

access_tokenstringRequired
expires_inintegerRequired
token_typestringOptionalDefault: bearer
device_idany ofOptional
stringOptional
or
nullOptional
device_metadataany ofOptional
or
nullOptional
get
/auth/callback
ZenML Scarf

Last updated

Was this helpful?